#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Epoch:          3
Summary:        KDE Frameworks 5 Tier 2 integration module for DNS-SD services (Zeroconf)
Name:           kdnssd
Version: 5.42.0
%define subrel  2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Help)

BuildRequires:  cmake
BuildRequires:  kf5-macros
BuildRequires:  pkgconfig(avahi-core)

Conflicts:      %{_lib}kf5kdnssd5 < 3:5.42.0-1.1
%ifarch x86_64
Conflicts:      libkf5kdnssd5 < 3:5.42.0-1.1
%endif

%description
KDE Frameworks 5 Tier 2 integration module for DNS-SD services (Zeroconf)

%files -f %{name}5_qt.lang

#--------------------------------------------------------------------

%define kf5kdnssd_major 5
%define libkf5kdnssd %mklibname kf5kdnssd %{kf5kdnssd_major}

%package -n %libkf5kdnssd
Summary:      KDE Frameworks 5 Tier 2 integration module for DNS-SD services (Zeroconf)
Group:        System/Libraries
Requires:     nss_mdns
Conflicts:    %name < 3:5.42.0-1.1
Requires:     %name = %epoch:%version-%release

%description -n %libkf5kdnssd
KDE Frameworks 5 Tier 2 integration module for DNS-SD services (Zeroconf)

%files -n %libkf5kdnssd
%_kf5_libdir/libKF5DNSSD.so.%{kf5kdnssd_major}*

#--------------------------------------------------------------------

%define kf5kdnssd_devel %mklibname kf5kdnssd -d

%package -n %kf5kdnssd_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5kdnssd = %epoch:%version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5kdnssd_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5kdnssd_devel
%_kf5_includedir/KDNSSD
%_kf5_libdir/cmake/KF5DNSSD
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/qt_KDNSSD.pri

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build
%find_lang_kf5 %{name}5_qt


%changelog
* Sat May 19 2018 neoclust <neoclust> 3:5.42.0-1.2.mga6
  (not released yet)
+ Revision: 1230533
- Fix conflicts to ease upgrade
- Remove translations out of lib package
- New version 5.42

* Mon Mar 06 2017 neoclust <neoclust> 3:5.32.0-1.mga6
+ Revision: 1088962
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 3:5.29.0-1.mga6
+ Revision: 1074533
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 3:5.28.0-1.mga6
+ Revision: 1072195
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 3:5.27.0-1.mga6
+ Revision: 1058353
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 3:5.26.0-1.mga6
+ Revision: 1050530
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 3:5.25.0-1.mga6
+ Revision: 1045108
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 3:5.24.0-1.mga6
+ Revision: 1041330
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 3:5.23.0-1.mga6
+ Revision: 1021928
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 3:5.22.0-1.mga6
+ Revision: 1014338
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 3:5.21.0-1.mga6
+ Revision: 999634
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 3:5.20.0-1.mga6
+ Revision: 986327
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 3:5.19.0-1.mga6
+ Revision: 942247
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 3:5.18.0-1.mga6
+ Revision: 921280
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 3:5.17.0-2.mga6
+ Revision: 912924
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 3:5.17.0-1.mga6
+ Revision: 909847
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 3:5.16.0-4.mga6
+ Revision: 900621
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 3:5.16.0-3.mga6
+ Revision: 899602
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 3:5.16.0-2.mga6
+ Revision: 898924
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 3:5.15.0-1.mga6
+ Revision: 888164
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 3:5.14.0-1.mga6
+ Revision: 881388
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 3:5.13.0-1.mga6
+ Revision: 862949
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 3:5.12.0-3.mga6
+ Revision: 862687
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Aug 11 2015 neoclust <neoclust> 3:5.12.0-2.mga6
+ Revision: 862584
- Fix translations

* Tue Jul 14 2015 neoclust <neoclust> 3:5.12.0-1.mga6
+ Revision: 853795
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 3:5.11.0-1.mga6
+ Revision: 841571
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 3:5.5.0-1.mga5
+ Revision: 803356
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 3:5.1.0-3.mga5
+ Revision: 741269
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3:5.1.0-2.mga5
+ Revision: 681028
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 3:5.1.0-1.mga5
+ Revision: 660428
- New version 5.1.0

* Tue Jul 15 2014 neoclust <neoclust> 3:5.0.0-2.mga5
+ Revision: 652247
- Fix epoch in requires

* Fri Jul 11 2014 neoclust <neoclust> 3:5.0.0-1.mga5
+ Revision: 651314
- New version 5.0.0

* Sat Apr 05 2014 neoclust <neoclust> 3:4.98.0-1.mga5
+ Revision: 612084
- New name && new version
- Rename according to upstream
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599766
- New version 4.97.0

* Mon Feb 17 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 593395
- imported package kdnssd-framework

